libgphoto2 photo camera library (libgphoto2) API: libgphoto2_port/libgphoto2_port/gphoto2-port-result.c File Reference

libgphoto2 photo camera library (libgphoto2) API 2.5.10

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Macros | Functions
gphoto2-port-result.c File Reference
`#include "config.h"`
`#include <gphoto2/gphoto2-port-result.h>`

## Macros
#define | textdomain(String) (String)
#define | gettext(String) (String)
#define | dgettext(Domain, Message) (Message)
#define | dcgettext(Domain, Message, Type) (Message)
#define | bindtextdomain(Domain, Directory) (Domain)
#define | _(String) (String)
#define | N_(String) (String)

## Functions
const char * | gp_port_result_as_string (int result)

## Detailed Description

Copyright 2001 Lutz Mueller lutz@.nosp@m.user.nosp@m.s.sf..nosp@m.net

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

## Function Documentation

const char* gp_port_result_as_string | ( | int | result | ) |

gp_port_result_as_string:

Returns
  : a gphoto2 error code

Returns a string representation of a gphoto2 error code. Those are static error descriptions. You can get dynamic ones that explain the error more in depth using gp_port_get_error.

Return value: a string representation of a gphoto2 error code

References GP_ERROR, GP_ERROR_BAD_PARAMETERS, GP_ERROR_FIXED_LIMIT_EXCEEDED, GP_ERROR_HAL, GP_ERROR_IO, GP_ERROR_IO_INIT, GP_ERROR_IO_LOCK, GP_ERROR_IO_READ, GP_ERROR_IO_SERIAL_SPEED, GP_ERROR_IO_SUPPORTED_SERIAL, GP_ERROR_IO_SUPPORTED_USB, GP_ERROR_IO_UPDATE, GP_ERROR_IO_USB_CLAIM, GP_ERROR_IO_USB_CLEAR_HALT, GP_ERROR_IO_USB_FIND, GP_ERROR_IO_WRITE, GP_ERROR_LIBRARY, GP_ERROR_NO_MEMORY, GP_ERROR_NOT_SUPPORTED, GP_ERROR_TIMEOUT, GP_ERROR_UNKNOWN_PORT, and GP_OK.

Referenced by gp_port_read(), gp_port_write(), and gp_result_as_string().